XSLTProcess.Param (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.XSLTProcess.Param class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class XSLTProcess.Param

    java.lang.Object
      org.apache.tools.ant.taskdefs.XSLTProcess.Param

Enclosing class:
  XSLTProcess

    public static class XSLTProcess.Param

extends java.lang.Object

The Param inner class used to store XSL parameters

Constructor Summary
`XSLTProcess.Param()`

Method Summary
`java.lang.String` | `getExpression()` Get the parameter's value
`java.lang.String` | `getName()` Get the parameter name
`void` | `setExpression(java.lang.String expression)` The parameter value NOTE : was intended to be an XSL expression.
`void` | `setIf(java.lang.Object ifCond)` Set whether this param should be used.
`void` | `setIf(java.lang.String ifProperty)` Set whether this param should be used.
`void` | `setName(java.lang.String name)` Set the parameter name.
`void` | `setProject(Project project)` Set the current project
`void` | `setUnless(java.lang.Object unlessCond)` Set whether this param should NOT be used.
`void` | `setUnless(java.lang.String unlessProperty)` Set whether this param should NOT be used.
`boolean` | `shouldUse()` Ensures that the param passes the conditions placed on it with `if` and `unless` properties.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSLTProcess.Param

    public XSLTProcess.Param()

Method Detail

### setProject

    public void setProject(Project project)

  Set the current project

  Parameters:
    `project` - the current project

### setName

    public void setName(java.lang.String name)

  Set the parameter name.

  Parameters:
    `name` - the name of the parameter.

### setExpression

    public void setExpression(java.lang.String expression)

  The parameter value NOTE : was intended to be an XSL expression.

  Parameters:
    `expression` - the parameter's value.

### getName

    public java.lang.String getName()
                             throws BuildException

  Get the parameter name

  Returns:
    the parameter name
  Throws:
    `BuildException` - if the name is not set.

### getExpression

    public java.lang.String getExpression()
                                   throws BuildException

  Get the parameter's value

  Returns:
    the parameter value
  Throws:
    `BuildException` - if the value is not set.

### setIf

    public void setIf(java.lang.Object ifCond)

  Set whether this param should be used. It will be used if the expression evalutes to true or the name of a property which has been set, otherwise it won't.

  Parameters:
    `ifCond` - evaluated expression
  Since:
    Ant 1.8.0

### setIf

    public void setIf(java.lang.String ifProperty)

  Set whether this param should be used. It will be used if the expression evalutes to true or the name of a property which has been set, otherwise it won't.

  Parameters:
    `ifProperty` - evaluated expression

### setUnless

    public void setUnless(java.lang.Object unlessCond)

  Set whether this param should NOT be used. It will not be used if the expression evaluates to true or the name of a property which has been set, otherwise it will be used.

  Parameters:
    `unlessCond` - evaluated expression
  Since:
    Ant 1.8.0

### setUnless

    public void setUnless(java.lang.String unlessProperty)

  Set whether this param should NOT be used. It will not be used if the expression evaluates to true or the name of a property which has been set, otherwise it will be used.

  Parameters:
    `unlessProperty` - evaluated expression

### shouldUse

    public boolean shouldUse()

  Ensures that the param passes the conditions placed on it with `if` and `unless` properties.

  Returns:
    true if the task passes the "if" and "unless" parameters

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD